const express = require('express');
const bodyParser = require('body-parser');
const fs = require('fs');

const app = express();

const ipAddresses = new Set();

app.use(bodyParser.urlencoded({ extended: false }));

app.get('/', function(req, res){
    res.sendFile(__dirname + '/index.html');
});

app.post('/save', (req, res) => {
    const { fname, lname, group } = req.body;

    const ip = req.headers['x-forwarded-for'] || req.connection.remoteAddress;

     if (ipAddresses.has(ip)) {
        res.status(403).send('Данные можно отправлять только один раз');
        return;
    }

    const now = new Date();
    const dateString = now.toLocaleString();

    const data = `Дата и время: ${dateString}, Имя: ${fname}, Фамилия: ${lname}, Группа: ${group}`;

    fs.appendFile('посещаемость.txt', data + '\n', (err) => {
        if (err) throw err;
        console.log('Данные записаны в файл!');
    });

    ipAddresses.add(ip)

    res.send('Данные сохранены');
});

app.listen(3000, () => {
    console.log('Сервер запущен на http://192.168.137.1:3000');
});